Subject: Re: [PATCH 17/19] environment: move compression level into repo settings

From: Junio C Hamano <[email-masked]>
Date: Fri, 11 Jul 2025 11:55:27 -0700

Phillip Wood <[email-masked]> writes:

> I do not think adding prepare_repo_settings() calls all over the place
> is a good way forward as it makes it very easy to introduce
> regressions like this. Our builtin commands parse the config at
> startup for good reasons if we're going to move settings out of
> git_default_core_config() we should ensure that they are still parsed
> at startup.

I think that is a good guideline that applies not just to this
series but to other topics that attempt to move globals to a member
in struct repository (or repository_settings)

Thanks.
.